Package oracle.sql

## Class ROWID

- java.lang.Object
- - oracle.sql.Datum
  - - oracle.sql.ROWID

All Implemented Interfaces:
  `java.io.Serializable`, `java.sql.RowId`, `oracle.jdbc.internal.ACProxyable`, `oracle.jdbc.internal.OracleRowId`

    public class ROWID
    extends Datum
    implements oracle.jdbc.internal.OracleRowId

The ROWID class is a representation of the Oracle ROWID datatype. It is intended to be immutable. The user should not try to change its contents once it is constructed.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class oracle.sql.Datum

`ojiOracleDatumWithConnection, targetDatum`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isConvertibleTo​(java.lang.Class<?> jClass)` Test whether this data object can be converted to the specified Java data type.
`java.lang.String` `stringValue()` Convert this data object into a String.
`java.lang.Object` `toJdbc()` Convert this data object into its default Java object type.
`java.lang.String` `toString()` Implements the java.sql.RowId.toString()

### Methods inherited from class oracle.sql.Datum

`asciiStreamValue, bigDecimalValue, binaryStreamValue, booleanValue, bytesEqual, bytesHashCode, byteValue, characterStreamValue, compareBytes, dateValue, doubleValue, equals, floatValue, getBytes, getConnectionDuringExceptionHandling, getLength, getStream, intValue, isNull, longValue, setBytes, setShareBytes, shareBytes, stringValue, timestampValue, timestampValue, timeValue, timeValue, toClass`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.sql.RowId

`equals, getBytes, hashCode`

### Method Detail

#### toJdbc

    public java.lang.Object toJdbc()
                            throws java.sql.SQLException

Convert this data object into its default Java object type.

Specified by:
  `toJdbc` in class `Datum`
Returns:
  the data value as a Java object.
Throws:
  `java.sql.SQLException` - if any of the lower layer code throws an exception.

#### isConvertibleTo

    public boolean isConvertibleTo​(java.lang.Class<?> jClass)

Test whether this data object can be converted to the specified Java data type.

Specified by:
  `isConvertibleTo` in class `Datum`
Parameters:
  `jClass` - specifies the Java data type to test against.
Returns:
  true if this data object is convertible to the specified Java class, and a corresponding xxxValue() method is available; otherwise, a false is returned.

#### stringValue

    public java.lang.String stringValue()

Convert this data object into a String.

Overrides:
  `stringValue` in class `Datum`
Returns:
  the data value in String representation.

#### toString

    public java.lang.String toString()

Implements the java.sql.RowId.toString()

Specified by:
  `toString` in interface `java.sql.RowId`
Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the ROWID value in String representation.